Provides a higher level interface to a subsystem of classes. This makes use of the subsystem easier as the client doesn't need to interact with the various interfaces of the classes, create and teardown required objects, as well as know the sequence of operations.
